## dcc-insider-plugin 0.1.4

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.12)

project(insider-program)

set(PLUGIN_NAME "dcc-insider-plugin")

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt5 COMPONENTS Core Widgets Concurrent LinguistTools REQUIRED)
find_package(Dtk COMPONENTS Widget REQUIRED)
find_package(QCoro5 COMPONENTS Core REQUIRED)
find_package(DdeControlCenter REQUIRED)
find_package(PackageKitQt5 REQUIRED)

set(SOURCE_FILES
    insidermodule.cpp insidermodule.h
    insiderplugin.cpp insiderplugin.h
    pkutils.cpp pkutils.h
)

set(TRANSLATION_FILES
    translations/dcc-insider-plugin.ts
    translations/dcc-insider-plugin_zh_CN.ts
)

qt_create_translation(TRANSLATED_FILES ${SOURCE_FILES} ${TRANSLATION_FILES})

add_library(${PLUGIN_NAME} SHARED
    ${SOURCE_FILES}
    ${TRANSLATED_FILES}
)
set_property(TARGET ${PLUGIN_NAME} PROPERTY CXX_STANDARD 20)

target_include_directories(${PLUGIN_NAME}
PUBLIC
    ${DdeControlCenter_INCLUDE_DIR}
)

target_link_libraries(${PLUGIN_NAME}
PRIVATE
    Qt::Concurrent
    QCoro::Core
    Dtk::Widget
    ${DdeControlCenter_LIBRARIES}
    PK::packagekitqt5
)

install(TARGETS ${PLUGIN_NAME} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/dde-control-center/modules)
install(FILES ${TRANSLATED_FILES} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dde-control-center/translations)

=== debian/changelog ===
dcc-insider-plugin (0.1.4) unstable; urgency=medium

  * chore: install dde-shell

 -- dengbo <zhangdingyuan@uniontech.com>  Wed, 24 Jan 2024 14:44:22 +0800

dcc-insider-plugin (0.1.3) unstable; urgency=medium

  * fix: there is a delay when switch to deepin im

 -- dengbo <dengbo@deepin.org>  Fri, 19 Jan 2024 11:31:22 +0800

dcc-insider-plugin (0.1.2) unstable; urgency=medium

  * Fix options can be selected when disabled
  * Reduce the times of polkit pop-ups
  * Do nothing if clicked item was checked

 -- zsien <quezhiyong@deepin.org>  Thu, 11 Jan 2024 10:30:17 +0800

dcc-insider-plugin (0.1.1) unstable; urgency=medium

  * feat: support dim preview

 -- zsien <quezhiyong@deepin.org>  Fri, 05 Jan 2024 15:27:39 +0800

dcc-insider-plugin (0.1.0) unstable; urgency=medium

  * Remove launcher options from tech preview plugin

 -- Gary Wang <wangzichong@deepin.org>  Wed, 27 Dec 2023 11:27:00 +0800

dcc-insider-plugin (0.0.2) unstable; urgency=medium

  * Support switch to ddm/treeland tech preview

 -- rewine <luhongxu@deepin.org>  Fri, 03 Nov 2023 02:18:47 +0000

dcc-insider-plugin (0.0.1) unstable; urgency=medium

  * Initial tag release
  * Support switching between legacy and new tech preview launcher

 -- Gary Wang <wangzichong@deepin.org>  Fri, 08 Sep 2023 13:16:00 +0800

dcc-insider-plugin (0.0.0) UNRELEASED; urgency=medium

  * Initial release

 -- Gary Wang <wangzichong@deepin.org>  Wed, 06 Sep 2023 11:36:00 +0800

=== debian/control ===
Source: dcc-insider-plugin
Section: utils
Priority: optional
Maintainer: Gary Wang <wangzichong@deepin.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkg-config,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 libdtkcommon-dev,
 libdtkcore-dev,
# v-- provides qdbusxml2cpp-fix binary
 libdtkcore5-bin,
 libdtkwidget-dev,
 libdtkgui-dev,
 libappstreamqt-dev,
 libpackagekitqt5-dev,
 qcoro-qt5-dev,
 dde-control-center-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no

Package: dcc-insider-plugin
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 packagekit
Description: Insider plugin for DDE Control Center
 DCC Insider Plugin is A tool to toggle between
 preview and production versions

## dcc-insider-plugin 0.1.11

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.12)

project(insider-program)

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

add_subdirectory("dcc-insider-plugin")
add_subdirectory("dcc-insider")

=== dcc-insider-plugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.12)


set(PLUGIN_NAME "dcc-insider-plugin")

find_package(Qt5 COMPONENTS Core Widgets Concurrent LinguistTools REQUIRED)
find_package(Dtk COMPONENTS Widget REQUIRED)
find_package(QCoro5 COMPONENTS Core REQUIRED)
find_package(DdeControlCenter REQUIRED)
find_package(PackageKitQt5 REQUIRED)

set(SOURCE_FILES
    insidermodule.cpp insidermodule.h
    insiderplugin.cpp insiderplugin.h
    pkutils.cpp pkutils.h
)

set(TRANSLATION_FILES
    ../translations/dcc-insider-plugin.ts
    ../translations/dcc-insider-plugin_zh_CN.ts
)

qt_create_translation(TRANSLATED_FILES ${SOURCE_FILES} ${TRANSLATION_FILES})

add_library(${PLUGIN_NAME} SHARED
    ${SOURCE_FILES}
    ${TRANSLATED_FILES}
)
set_property(TARGET ${PLUGIN_NAME} PROPERTY CXX_STANDARD 20)

target_include_directories(${PLUGIN_NAME}
PUBLIC
    ${DdeControlCenter_INCLUDE_DIR}
)

target_link_libraries(${PLUGIN_NAME}
PRIVATE
    Qt::Concurrent
    QCoro::Core
    Dtk::Widget
    ${DdeControlCenter_LIBRARIES}
    PK::packagekitqt5
)

install(TARGETS ${PLUGIN_NAME} LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/dde-control-center/modules)
install(FILES ${TRANSLATED_FILES} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dde-control-center/translations)

=== dcc-insider/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0
cmake_minimum_required(VERSION 3.7)

set(PLUGIN_NAME "dcc-insider-plugin")

project(${PLUGIN_NAME})

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-g -Wall")

# 增加安全编译参数
ADD_DEFINITIONS("-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

find_package(Qt6 COMPONENTS Core Gui DBus LinguistTools REQUIRED)
find_package(DdeControlCenter REQUIRED)
find_package(PkgConfig REQUIRED)


set(DccInsider_Name insider)
file(GLOB_RECURSE DccInsider_SRCS
    "*.cpp"
    "*.h"
)
add_library(${DccInsider_Name} MODULE
    ${DccInsider_SRCS}
)

target_include_directories(${DccInsider_Name} PUBLIC
    Dde::Control-Center
)

set(DccInsider_Libraries
    Qt6::DBus
    Qt6::Gui
    Dde::Control-Center
)

target_link_libraries(${DccInsider_Name} PRIVATE
    ${DccInsider_Libraries}
)

dcc_install_plugin(NAME ${DccInsider_Name} TARGET ${DccInsider_Name})
dcc_handle_plugin_translation(NAME ${DccInsider_Name})

=== debian/changelog ===
dcc-insider-plugin (0.1.11) unstable; urgency=medium

  * fix: Change weight

 -- shenwenqi <shenwenqi@uniontech.com>  Wed, 12 Jan 2025 11:03:20 +0800

dcc-insider-plugin (0.1.10) unstable; urgency=medium

  * fix: Not displayed when live system

 -- caixiangrong <caixiangrong@uniontech.com>  Tue, 14 Jan 2025 16:36:20 +0800

dcc-insider-plugin (0.1.9) unstable; urgency=medium

  * chore: Update Treeland VM usage and Wine support notice

 -- Robertkill <lvpeilong@uniontech.com>  Mon, 13 Jan 2025 10:55:36 +0800

dcc-insider-plugin (0.1.8) unstable; urgency=medium

  * fix: Update display manager Name

 -- Robertkill <lvpeilong@uniontech.com>  Tue, 07 Jan 2025 10:33:37 +0800

dcc-insider-plugin (0.1.7) unstable; urgency=medium

  * fix: Adapt to the UI style of the control center
  * feat: Add display manager switch notification
  * fix: Switching unresponsive in technical preview

 -- caixiangrong <caixiangrong@uniontech.com>  Tue, 31 Dec 2024 16:06:20 +0800

dcc-insider-plugin (0.1.6) unstable; urgency=medium

  * release 0.1.6

 -- Robertkill <lvpeilong@uniontech.com>  Thu, 28 Nov 2024 15:06:20 +0800

dcc-insider-plugin (0.1.5) unstable; urgency=medium

  * release 0.1.5

 -- Mike Chen <chenke@deepin.org>  Thu, 31 Oct 2024 13:41:11 +0800

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,8 @@
  libappstreamqt-dev,
  libpackagekitqt5-dev,
  qcoro-qt5-dev,
+ qt6-base-dev,
+ qt6-tools-dev,
  dde-control-center-dev
 Standards-Version: 4.6.0
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
		dh $@ --parallel

## dcc-insider-plugin 0.1.14

=== debian/changelog ===
dcc-insider-plugin (0.1.14) unstable; urgency=medium

  * fix: update binary dci file

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 19 Jun 2025 16:37:17 +0800

dcc-insider-plugin (0.1.13) unstable; urgency=medium

  * chore: Remove old dcc-insider-plugin subdirectory from CMakeLists.txt

 -- Robertkill <lvpeilong@uniontech.com>  Wed, 04 Jun 2025 13:31:40 +0800

 dcc-insider-plugin (0.1.12) unstable; urgency=medium

  * fix: Wrong technology preview icon

 -- Robertkill <lvpeilong@uniontech.com>  Wed, 04 Jun 2025 09:31:40 +0800

## dcc-insider-plugin 0.1.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,5 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 
-add_subdirectory("dcc-insider-plugin")
 add_subdirectory("dcc-insider")

=== dcc-insider/CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,7 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-set(CMAKE_CXX_FLAGS "-g -Wall")
-
-# 增加安全编译参数
-ADD_DEFINITIONS("-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall")
 
 find_package(Qt6 COMPONENTS Core Gui DBus LinguistTools REQUIRED)
 find_package(DdeControlCenter REQUIRED)

=== debian/changelog ===
dcc-insider-plugin (0.1.15) unstable; urgency=medium

  * refactor: optimize build system security flags
  * i18n: Updates for project Deepin Desktop Environment (#39)
  * i18n: Updates for project Deepin Desktop Environment (#38)
  * chore: add CI configuration for dcc-insider-plugin
  * chore(i18n): add zh_HK and zh_TW translations
  * chore: remove dcc-insider-plugin and related dependencies

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:52:12 +0800

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,7 @@
  debhelper-compat (= 13),
  cmake,
  pkg-config,
- qtbase5-dev,
- qttools5-dev,
- qttools5-dev-tools,
- libdtkcommon-dev,
- libdtkcore-dev,
-# v-- provides qdbusxml2cpp-fix binary
- libdtkcore5-bin,
- libdtkwidget-dev,
- libdtkgui-dev,
  libappstreamqt-dev,
- libpackagekitqt5-dev,
- qcoro-qt5-dev,
  qt6-base-dev,
  qt6-tools-dev,
  dde-control-center-dev

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
-
-export QT_SELECT=5
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
+export DEB_CFLAGS_MAINT_APPEND = -Wall
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
